'use strict';

var america = require('../../../../../_virtual/america.js');

var hasRequiredAmerica;

function requireAmerica () {
	if (hasRequiredAmerica) return america.__module.exports;
	hasRequiredAmerica = 1;
	(function (module) {
		module['exports'] = function(colors) {
		  return function(letter, i, exploded) {
		    if (letter === ' ') return letter;
		    switch (i%3) {
		      case 0: return colors.red(letter);
		      case 1: return colors.white(letter);
		      case 2: return colors.blue(letter);
		    }
		  };
		}; 
	} (america.__module));
	return america.__module.exports;
}

exports.__require = requireAmerica;
